package com.gic.haoban.manage.web.vo;

import org.apache.commons.lang3.StringUtils;

import java.io.Serializable;

/**
 * Created 2020/8/14.
 *
 * @author hua
 */
public class ClerkDetailVo implements Serializable {
    private String clerkId;
    private String clerkName;
    private String clerkCode;
    private String storeId;
    private String clerkGender;
    private String phoneNumber;
    private String enterpriseId;
    private String headImgUrl;

    private String nationcode;

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getClerkName() {
        return clerkName;
    }

    public void setClerkName(String clerkName) {
        this.clerkName = clerkName;
    }

    public String getClerkCode() {
        return clerkCode;
    }

    public void setClerkCode(String clerkCode) {
        this.clerkCode = clerkCode;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public String getClerkGender() {
        return clerkGender;
    }

    public void setClerkGender(String clerkGender) {
        this.clerkGender = clerkGender;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getHeadImgUrl() {
        return headImgUrl;
    }

    public void setHeadImgUrl(String headImgUrl) {
        this.headImgUrl = headImgUrl;
    }

    public String getNationcode() {
        if (StringUtils.isBlank(nationcode)) {
            return nationcode;
        }
        String regex="\\+";
        return nationcode.replaceAll(regex, "");
    }

    public void setNationcode(String nationcode) {
        this.nationcode = nationcode;
    }
}
